%define	_name	wavelet-denoise

Name:		gimp-plugin-%{_name}
Version:	0.4
Release:	%mkrel 1
Summary:	Gimp plugin to reduce noise in each channel of an image separately
Url:		https://github.com/mrossini-ethz/gimp-wavelet-denoise
Source:		https://github.com/mrossini-ethz/gimp-wavelet-denoise/archive/refs/tags/v%{version}.tar.gz
License:	GPLv2
Group:		Graphics/Editors and Converters
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig(gimp-2.0)
Requires:	gimp
Provides:	%{_name}-gimp = %{version}-%{release}

%description
The wavelet denoise plugin is a tool to reduce noise in each channel
of an image separately.
The default colour space to do denoising is YCbCr which has the
advantage that chroma noise can be reduced without affecting image details.
Denoising in CIELAB (L*a*b*) or RGB is available as an option.
The user interface allows colour mode and preview channel selection.
The denoising threshold can be set for each colour channel independently.

Features
    - User interface with preview is available
    - Amount of denoising for each channel is selectable
    - Possibility to denoise YCbCr or CIELAB channels instead of RGB exists
    - Noise profiling is done
    - Conversion from RGB to YCbCr and RGB to CIELAB is lossless
    - Preview is capable of displaying one single channel only if desired
    - User interface in multiple languages is available

%prep
%autosetup -n gimp-%{_name}-%{version}

%build
%set_build_flags
%make_build

%install
for i in `find po -name "*.po"`;
do
	lang=`basename $i`
	lang=${lang/\.po/}
	install -D -d -m 755 %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
make -C po install LOCALEDIR=%{buildroot}%{_datadir}/locale
%find_lang gimp20-%{_name}-plug-in
install -Dm 755 src/%{_name} %{buildroot}%{_libdir}/gimp/2.0/plug-ins/%{_name}

%files -f gimp20-%{_name}-plug-in.lang
%doc COPYING AUTHORS ChangeLog THANKS README TRANSLATIONS
%{_libdir}/gimp/2.0/plug-ins/%{_name}



%changelog
* Thu Nov 10 2022 kekepower <kekepower> 0.4-1.mga9
+ Revision: 1905142
- imported package gimp-plugin-wavelet-denoise

